select性的Google Play服务API找不到类

我已经更新了播放服务的最新版本,目前是9.2.0 ,我也想使用谷歌播放服务的select性模块。

// compile 'com.google.android.gms:play-services:9.2.0' compile 'com.google.android.gms:play-services-maps:9.2.0' compile 'com.google.android.gms:play-services-analytics:9.2.0' compile 'com.google.android.gms:play-services-gcm:9.2.0' compile 'com.google.android.gms:play-services-location:9.2.0' 

我遇到的问题是,现在的import像:

 import com.google.android.gms.location.places.Place; import com.google.android.gms.location.places.AutocompleteFilter; import com.google.android.gms.location.places.AutocompletePrediction; import com.google.android.gms.location.places.Place; import com.google.android.gms.location.places.PlaceBuffer; import com.google.android.gms.location.places.Places; 

不能再解决了,虽然在他们的文档中指出位置服务也应该提供位置function。

有人可以帮我解决这个问题吗? 谢谢。

  • Android Google PlacePicker显示重叠的文字
  • Google Play服务中的AdMob会执行不需要的自动滚动
  • Play Services 9.2.1中的Firebase NullPointerException
  • Google Play服务示例:“connectionResult can not be resolved”
  • Android:如何解决服务中的Google API连接失败?
  • Google Play服务已过期。 需要9256000,但find了9080470
  • AppInvites“安装”链接不会打开应用程序
  • 安卓失败的安装报告
  • 基于@Selvin添加的评论,我设法find解决我的问题。

    似乎在9.xx版本上, Google Play Services API for Places已从play-services-location迁移到play-services-places 。 因此,现在我对Google Play服务API有以下依赖关系:

     // compile 'com.google.android.gms:play-services:9.2.0' compile 'com.google.android.gms:play-services-maps:9.2.0' compile 'com.google.android.gms:play-services-analytics:9.2.0' compile 'com.google.android.gms:play-services-gcm:9.2.0' compile 'com.google.android.gms:play-services-location:9.2.0' compile 'com.google.android.gms:play-services-places:9.2.0'